import * as React from 'react';
// import Box from '@mui/material/Box';
import Card from '@mui/material/Card';
import CardActions from '@mui/material/CardActions';
import CardContent from '@mui/material/CardContent';
import Button from '@mui/material/Button';
import Typography from '@mui/material/Typography';
import Avatar from '@mui/material/Avatar';
// import Stack from '@mui/material/Stack';
// import Radio from '@mui/material/Radio';
import RadioGroup from '@mui/material/RadioGroup';
import FormControlLabel from '@mui/material/FormControlLabel';
import FormControl from '@mui/material/FormControl';
// import FormLabel from '@mui/material/FormLabel';
import Checkbox from '@mui/material/Checkbox';
import { deepPurple } from '@mui/material/colors';
const label = { inputProps: { 'aria-label': 'Checkbox demo' } };


function Radio() {
  return(
    <div>
    <Checkbox {...label} defaultChecked />
      <Checkbox {...label} />
    </div>
  )
}


function Response ({resp}) {
  return (
    <FormControl>
      <RadioGroup
        aria-labelledby="demo-radio-buttons-group-label"
        defaultValue="female"
        name="radio-buttons-group"
      >
        {
        resp.map(a => <FormControlLabel value="female" control={<Radio />} label={a.nombre} />)
        }
      </RadioGroup>
    </FormControl>
  )
}

export function Question({ quiz }) {
  let { instrucciondepregunta, id, respuestas } = quiz
  return (
    <Card sx={{ minWidth: 275, margin: 5 }}>
      <CardContent>

        <Typography sx={{ fontSize: 17 }} color="text.secondary" gutterBottom>
          <div className="quiz_title_text">
            <Avatar sx={{ bgcolor: deepPurple[500] }}>{id}</Avatar>
            <p style={{ paddingLeft: 15 }}>
              {instrucciondepregunta}
            </p>
          </div>
        </Typography>


        <Typography variant="body2">
          <Response resp={respuestas}/>
        </Typography>

      </CardContent>

      <CardActions>
        <Button size="small">Learn More</Button>
      </CardActions>

    </Card>
  );
}
